Skip to main content
GET
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
compose
/
sessions
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/compose/sessions \
  --header 'Authorization: Bearer <token>'
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "iteration_count": 123,
    "last_active_at": "2023-11-07T05:31:56Z",
    "rev": "<string>",
    "status": "<string>",
    "tool_call_count": 123,
    "turn_count": 123,
    "uid": "<string>",
    "user_id": "<string>",
    "first_prompt": "<string>",
    "model": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
project_id
string
required

Query Parameters

user_id
string | null

Filter sessions by user ID

rev
string | null

Filter sessions by git branch (worktree revision)

Response

200 - application/json

Sessions listed successfully

created_at
string<date-time>
required
id
string
required
iteration_count
integer<int32>
required

Total LLM calls (including mid-turn iterations)

last_active_at
string<date-time>
required
rev
string
required

Git branch the session is scoped to

status
string
required

Session status: "active" or "idle"

tool_call_count
integer<int32>
required

Total tool_use blocks across all calls

turn_count
integer<int32>
required

Number of user prompts sent

uid
string
required
user_id
string
required
first_prompt
string | null

Truncated text of the first user prompt — used as a session title.

model
string | null

Model used in this session